README.TYP                      02/16/90

You can use your printer like a typewriter with the Type Through
program.  Type Through is useful for typing addresses on
envelopes, filling out a single pre-printed form, and other tasks
where a typewriter may be needed.

Each character you type can be immediately sent to the printer
(Character Type Through), or you can edit and send a line of text
at a time (Line Type Through).

To run the program,

1.  Go to a DOS prompt.

2.  Change to the directory that contains TYPETHRU.EXE.

(TYPETHRU.EXE may be run from a floppy diskette, or it can be
copied to a directory on your hard drive and run from that
directory.)

3.  Enter typethru to start the program.

The Type Through menu displays the available features of the
program as well as the current settings.

4.  Type the characters you want to send to the printer (press
    Enter if you are using Line Type Through).

5.  Press Exit (F7) to exit the Type Through program.

Characters
You can type a line up to 200 characters long.  If you type more
characters than can be displayed in a line, the excess characters
are pushed off the left of the screen.

Form Alignment
Text is printed at the position of the printhead, with no
recognition of margin or sheet-feeder settings.  You need to
position the form in your printer before beginning to type.


LINE TYPE THROUGH

When you select Line Type Through, the characters in a line are
not sent to the printer until you press Enter.  This gives you a
chance to correct any mistakes with the delete keys before
printing.

Use Left Arrow (), Right Arrow (), and the Space Bar to move
the cursor through the line on the screen and to position the
printhead on the form before the line is printed.  Some printers
do not allow the printhead to move when you press these keys.

CHARACTER TYPE THROUGH

When you select Character Type Through, each character is sent to
the printer as soon as you strike the key.  Because each
character is sent to the printer immediately, the delete keys
cannot be used.  Delete to End of Page (Ctrl-End), however,
clears the line of text on your screen.


FEATURES

The following WordPerfect features are available for Type
Through.

Arrow Keys
Press Up Arrow () or Down Arrow () to move the carriage up or
down.  Press Left Arrow () or Right Arrow () to move the
printhead one character to the left or right.

(Printers that cannot perform a reverse line feed are not able to
move the carriage up.)

Enter
Press Enter to print the current line (Line Type Through) and
return the carriage.

Exit/Cancel
Press Exit (F7) or Cancel (F1) to exit Type Through.

Format
Press Format (Shift-F8) to display the "Command:" prompt.  You
can then enter any printer command codes you want to send
directly to the printer (See Printer Commands in the WordPerfect
Reference Manual).

Home
Press, Home, then Left Arrow () or Right Arrow () to move
quickly through a line in the Type Through screen.

Move
Press Move (Ctrl-F4) to move the previous line (the line you just
typed) back into the Type Through screen for editing.


SETUP NEW PRINTER SELECTION

You can modify three settings in the Type Through program: type
through mode, selected printer, and printer port.

To change any of the current settings, 

1.  Press Setup (Shift-F1).

2.  Enter the printer category for your printer.
3.  If the category you have chosen supports both Line and
    Character Type Through, enter the Type Through mode you wish
    to use.

Most often you will select the Line Type Through mode.  Character
Type Through is available on only a few printers such as Daisy
Wheel printers and a few dot matrix printers.

4.  Enter the printer port for your printer.

If you have chosen a serial port, you will also be asked to
indicate the baud rate, parity, stop bits, word length, and the
XON/XOFF settings for your printer.

These printer settings are stored in the TT{TT}.SET file and
remain in effect each time you start Type Through.


TECHNICAL PRINTER INFORMATION

The following tables indicate printer command strings sent to the
printer when selected features are chosen.

DOS Text Printer
Type Through Mode:  Line
Backspace:          0
Carriage Return:    13
Line Feed:          10
Reverse Line Feed:  0
Flush Buffer:       0

Standard Printer
Type Through Mode:  Line, Character
Backspace:          8
Carriage Return:    13
Line Feed:          10
Reverse Line Feed:  0
Flush Buffer:       32,8

Diablo and Compatibles
Type Through Mode:  Line, Character
Backspace:          8
Carriage Return:    13
Line Feed:          10
Reverse Line Feed:  27,10
Flush Buffer:       0

NEC SpinWriters
Type Through Mode:  Line, Character
Backspace:          8
Carriage Return:    13
Line Feed:          10
Reverse Line Feed:  0
Flush Buffer:       32,8
Epson/IBM
Type Through Mode:  Line, Character
Backspace:          8
Carriage Return:    13
Line Feed:          10
Reverse Line Feed:  0
Flush Buffer:       32,8

NOTE:  A "0" in the printer command string indicates a null
string.